Bug 999862 - Operation getState on Service bindings resource fails
Operation getState on Service bindings resource fails
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: JON (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity unspecified
: ER2
: 6.0.0
Assigned To: kconner
Tomas Plevko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 05:37 EDT by Libor Zoubek
Modified: 2015-11-01 19:43 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2013-08-22 05:37:17 EDT
Description of problem:


Version-Release number of selected component (if applicable):
RHQ 4.9-MASTER + rhq-switchyard-plugin-1.0.0.SNAPSHOT

How reproducible: always


Steps to Reproduce:
1. deploy switchyard quickstart (I used validate-xml)
2. go to _OrderService_soap_1 and run operation getState

Actual results: Operation result is Failure.

{status:'Failure',error:'java.lang.Exception: Operation [getState] not found on MBean [org.switchyard.admin:type=Binding,name="_OrderService_soap_1",service="{urn:switchyard-quickstart:validate-xml:0.1.0}OrderService"].

Expected results:Operation result must be success.

Additional Info:

I guess there is a typo in name of resource type. It should be "Service Binding" not "Service Bindings"
Comment 2 kconner 2013-08-27 09:56:27 EDT
Changed the operation to a metric as it is being identified in the bean as an attribute.  It is now also identified as a trait.

For details of the change see

https://github.com/knrc/rhq-switchyard-plugin/issues/1
Comment 3 Tomas Plevko 2013-09-18 11:05:17 EDT
Verified. RHQ 4.10.0 + rhq-switchyard-plugin-1.0.0.SNAPSHOT

Note You need to log in before you can comment on or make changes to this bug.